//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutMicrosoft class - describes the Microsoft ergonomic keyboard
// and its use
//
// This is identical to the US keyboard, except that the 6 key is operated
// by the left hand.
//

public class KBLayoutMicrosoft extends KBLayoutUS {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "Microsoft";

	// tabular list of keys, showing character, keycode, shift state,
	// finger, and glyph grouping for statistics
	public KBLayoutMicrosoft() { set_kb_id( KB_ID );
replace( new Glyph(	'^',	 7,	true,	Finger.LH_INDEX,	GlyphGroup.FIGURES ));
replace( new Glyph(	'6',	 7,	false,	Finger.LH_INDEX,	GlyphGroup.NUMERIC ));
	}
}
